Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.mina.integration.jmx
Interface IoServiceManagerMBean

All Known Implementing Classes:
  IoServiceManager

    public interface IoServiceManagerMBean

Version:
  $Rev: 555855 $, $Date: 2007-07-13 12:19:00 +0900 (Fri, 13 Jul 2007) $
Author:
  The Apache Directory Project (mina-dev@directory.apache.org)

Method Summary
`void` | `closeAllSessions()` close all the managed sessions
`float` | `getAverageByteReadThroughput()` average bytes read per seconds for all the managed sessions
`float` | `getAverageByteWrittenThroughput()` average bytes written per seconds for all the managed sessions
`float` | `getAverageMessageReadThroughput()` average messages read per seconds for all the managed sessions
`float` | `getAverageMessageWrittenThroughput()` average messages written per seconds for all the managed sessions
`int` | `getManagedSessionCount()` amount of session currently managed
`float` | `getTotalByteReadThroughput()` bytes read per seconds sum of all the managed sessions
`float` | `getTotalByteWrittenThroughput()` bytes written per seconds sum for all the managed sessions
`float` | `getTotalMessageReadThroughput()` messages read per seconds sum of all the managed sessions
`float` | `getTotalMessageWrittenThroughput()` messages written per seconds sum for all the managed sessions
`void` | `startCollectingStats(int millisecondsPolling)` start collecting throughput statistics for all the managed sessions
`void` | `stopCollectingStats()` stop collecting throughput statistics

Method Detail

### getManagedSessionCount

    int getManagedSessionCount()

  amount of session currently managed

  Returns:
    session count

### startCollectingStats

    void startCollectingStats(int millisecondsPolling)

  start collecting throughput statistics for all the managed sessions

  Parameters:
    `millisecondsPolling` - polling time in milliseconds like 5000 for computing throughput every 5 seconds

### stopCollectingStats

    void stopCollectingStats()

  stop collecting throughput statistics

### getTotalByteReadThroughput

    float getTotalByteReadThroughput()

  bytes read per seconds sum of all the managed sessions

  Returns:
    bytes per seconds

### getTotalByteWrittenThroughput

    float getTotalByteWrittenThroughput()

  bytes written per seconds sum for all the managed sessions

  Returns:
    bytes per seconds

### getTotalMessageReadThroughput

    float getTotalMessageReadThroughput()

  messages read per seconds sum of all the managed sessions

  Returns:
    messages per seconds

### getTotalMessageWrittenThroughput

    float getTotalMessageWrittenThroughput()

  messages written per seconds sum for all the managed sessions

  Returns:
    messages per seconds

### getAverageByteReadThroughput

    float getAverageByteReadThroughput()

  average bytes read per seconds for all the managed sessions

  Returns:
    bytes per seconds

### getAverageByteWrittenThroughput

    float getAverageByteWrittenThroughput()

  average bytes written per seconds for all the managed sessions

  Returns:
    bytes per seconds

### getAverageMessageReadThroughput

    float getAverageMessageReadThroughput()

  average messages read per seconds for all the managed sessions

  Returns:
    messages per seconds

### getAverageMessageWrittenThroughput

    float getAverageMessageWrittenThroughput()

  average messages written per seconds for all the managed sessions

  Returns:
    messages per seconds

### closeAllSessions

    void closeAllSessions()

  close all the managed sessions

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Apache MINA Project. All Rights Reserved.